package adminaddressservice

import (
	"context"

	"git.gocasts.ir/ebhomengo/niki/entity"
)

type Repository interface {
	GetAddressByID(ctx context.Context, id uint) (entity.Address, error)
	GetAddresses(ctx context.Context, benefactorID uint) ([]entity.Address, error)
}

type Service struct {
	repo Repository
}

func New(repo Repository) Service {
	return Service{
		repo: repo,
	}
}
